"""SQLAlchemy model for the 'statistics_runs' table in the Home Assistant PostgreSQL database."""

from sqlalchemy import Column, BigInteger, TIMESTAMP

from .base import Base


class StatisticsRuns(Base):
    """SQLAlchemy model for the 'statistics_runs' table."""

    __tablename__ = "statistics_runs"
    __table_args__ = {"schema": "public"}

    run_id = Column(BigInteger, primary_key=True, autoincrement=True)
    start = Column(TIMESTAMP(timezone=True), nullable=False)
